> ## Documentation Index
> Fetch the complete documentation index at: https://landinglens.docs.landing.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metrics Summary For All Splits



## OpenAPI

````yaml https://api.landing.ai/openapi.json get /v1/projects/{project_id}/train/{training_id}/results/metrics
openapi: 3.1.0
info:
  title: LandingLens API
  description: >

    **LandingLens API** is a RESTful API that allows you to use
    [LandingLens](https://app.landing.ai) programmatically.

    Our API has predictable resource-oriented URLs, returns JSON-encoded
    responses, and uses standard HTTP response codes, authentication, and verbs.


    You can use the LandingLens API to programmatically perform many tasks in
    LandingLens, including:

    * Create projects

    * Upload images to projects

    * Create classes

    * Train models

    * Deploy models to cloud-endpoints hosted by LandingAI (cloud deployment)


    ## Tutorial

    Check out this
    [tutorial](https://landing-ai.github.io/public-rest-api/tutorial/) to learn
    the basic workflow for using the LandingLens APIs.
  version: 0.1.0
servers:
  - url: https://api.landing.ai
    description: Production environment
security: []
paths:
  /v1/projects/{project_id}/train/{training_id}/results/metrics:
    get:
      tags:
        - Training
      summary: Get Metrics Summary For All Splits
      operationId: >-
        get_metrics_summary_for_all_splits_v1_projects__project_id__train__training_id__results_metrics_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: integer
            title: Project Id
        - name: training_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Training Id
        - name: timeout
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            default: 60
            title: Timeout
        - name: apikey
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Apikey
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricsSummaryResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MetricsSummaryResponse:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/MetricsSummary'
              type: array
            - type: 'null'
          title: Data
      type: object
      required:
        - data
      title: MetricsSummaryResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MetricsSummary:
      properties:
        name:
          type: string
          title: Name
          description: The split name
        classes:
          anyOf:
            - items:
                $ref: '#/components/schemas/ClassMetrics'
              type: array
            - type: 'null'
          title: Classes
        metrics:
          anyOf:
            - items:
                $ref: '#/components/schemas/Metric'
              type: array
            - type: 'null'
          title: Metrics
      type: object
      required:
        - name
        - classes
        - metrics
      title: MetricsSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ClassMetrics:
      properties:
        id:
          type: integer
          title: Id
          description: The class id
        performance:
          type: number
          title: Performance
        recall:
          type: number
          title: Recall
        precision:
          type: number
          title: Precision
      type: object
      required:
        - id
        - performance
        - recall
        - precision
      title: ClassMetrics
    Metric:
      properties:
        name:
          type: string
          title: Name
        performance:
          type: number
          title: Performance
        recall:
          type: number
          title: Recall
        precision:
          type: number
          title: Precision
      type: object
      required:
        - name
        - performance
        - recall
        - precision
      title: Metric

````